<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 24/09/2017
 * Time: 15:14
 */

namespace Cloud\RD\Calculator;


use PHPUnit_Framework_TestCase;

class CalculatorTest extends PHPUnit_Framework_TestCase
{
    /**
     * @var Calculator $calculator
     */
    private $calculator;

    public function setUp()
    {
        $this->calculator = new Calculator();
    }

    /**
     * What : try to add non real number 10 + 'test'
     * Expected : An exception must be thrown
     */
    public function testAddNonRealNumber() {

        try {

            $this->calculator->add(10, 'test');
            $this->assertFalse(true, "An exception must be thrown");

        } catch (\Exception $e) {

            $this->assertInstanceOf(CalculatorException::class, $e);
            $this->assertEquals("Adding not real numbers", $e->getMessage());
        }
    }
}
